Name:           python-debyetools
Version:        2.8.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Debye approximation implementation for the calculation of thermodynamic properties from ground-state atomistic simulations.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://debyetools.readthedocs.io/
Source:         %{pypi_source debyetools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'debyetools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-debyetools
Summary:        %{summary}

%description -n python3-debyetools %_description


%prep
%autosetup -p1 -n debyetools-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-debyetools -f %{pyproject_files}


%changelog
%autochangelog